function h = probitNoisePointPlot(noise, X, y, ...
                              fontName, fontSize, ...
                              markerSize, lineWidth);

% PROBITNOISEPOINTPLOT Plot the data-points for probit noise model.
%
% h = probitNoisePointPlot(noise, X, y, ...
%                              fontName, fontSize, ...
%                              markerSize, lineWidth);
%

% Copyright (c) 2005 Neil D. Lawrence
% probitNoisePointPlot.m version 1.3



pointsNeg = plot(X(find(y(:, 1)==-1), 1), ...
		 X(find(y(:, 1)==-1), 2), ...
		 'gx', 'erasemode', 'xor', ...
		 'markersize', markerSize+2, ...
		 'linewidth', lineWidth);
hold on
pointsPos = plot(X(find(y(:, 1)==1), 1), ...
		 X(find(y(:, 1)==1), 2), 'ro', ...
		 'erasemode', 'xor', ...
		 'markersize', markerSize, ...
		 'linewidth', lineWidth);

h = [pointsNeg; pointsPos];